commit:     7d2a7be2b20f86a5d50cd042705de4943b7d1b59
Author:     Nick Sarnie <commendsarnex <AT> gmail <DOT> com>
AuthorDate: Wed Jul 19 00:44:00 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Thu Jul 20 21:47:53 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7d2a7be2

net-im/skypeforlinux: version bump to 5.4.0.1

Signed-off-by: Nick Sarnie <commendsarnex <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/5130

 net-im/skypeforlinux/Manifest                     |   1 +
 net-im/skypeforlinux/skypeforlinux-5.4.0.1.ebuild | 108 ++++++++++++++++++++++
 2 files changed, 109 insertions(+)

diff --git a/net-im/skypeforlinux/Manifest b/net-im/skypeforlinux/Manifest
index 5a544f572f9..ab4b9bcaf6e 100644
--- a/net-im/skypeforlinux/Manifest
+++ b/net-im/skypeforlinux/Manifest
@@ -1 +1,2 @@
 DIST skypeforlinux_5.3.0.1-1.x86_64.rpm 68386976 SHA256 
6ce0c4f39de94f65c47a56126d9413bef159086f1065c4ba5803ab2540a79c04 SHA512 
ff0ff8724d7887ab3960cabd5d78119dbd61ccf45a2b1ab94ed09eba41af435eeeb86566d0f0f22a7e9c6c8ba19b72841ca3c1acab547675ac518990e8a73ff0
 WHIRLPOOL 
19c72110cbfe80c17a14e851a40547dfeac39eafddca11c04b598de4809adeaf4cfa4417019c227cd9217935f6bc18b59b1c6fa6d7444ddc15e9b4427ef20332
+DIST skypeforlinux_5.4.0.1-1.x86_64.rpm 72058201 SHA256 
7acb723ba220ba2a2776f98a021a47223ead0a7959f33201ec6d4e9145024702 SHA512 
706d33b1ea5c0b9e7aa1799b06ac465f5aafc29627ef4b3660598b0f1762986ba217af0903af1da41f2478ca5011adf9070fe7a331ecfcb028f81ca839b03ccb
 WHIRLPOOL 
83a4fe4931432d7a5fce7231e008011905a41fb6f28240a42c355bc27d673033eecbddfc100da053a9efbea5c1d5c89161e1aab88394ab775a16ebf6848ae819

diff --git a/net-im/skypeforlinux/skypeforlinux-5.4.0.1.ebuild 
b/net-im/skypeforlinux/skypeforlinux-5.4.0.1.ebuild
new file mode 100644
index 00000000000..ea3d292854c
--- /dev/null
+++ b/net-im/skypeforlinux/skypeforlinux-5.4.0.1.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MULTILIB_COMPAT=( abi_x86_64 )
+
+inherit pax-utils rpm multilib-build
+
+DESCRIPTION="P2P Internet Telephony (VoiceIP) client"
+HOMEPAGE="https://www.skype.com/";
+SRC_URI="https://repo.skype.com/rpm/stable/${PN}_${PV}-1.x86_64.rpm";
+
+LICENSE="Skype-TOS no-source-code"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="pax_kernel"
+
+S="${WORKDIR}"
+QA_PREBUILT=opt/skypeforlinux/skypeforlinux
+RESTRICT="mirror bindist strip" #299368
+
+RDEPEND="dev-libs/atk[${MULTILIB_USEDEP}]
+       dev-libs/expat[${MULTILIB_USEDEP}]
+       dev-libs/glib:2[${MULTILIB_USEDEP}]
+       dev-libs/nspr[${MULTILIB_USEDEP}]
+       dev-libs/nss[${MULTILIB_USEDEP}]
+       gnome-base/gconf:2[${MULTILIB_USEDEP}]
+       gnome-base/libgnome-keyring[${MULTILIB_USEDEP}]
+       media-libs/alsa-lib[${MULTILIB_USEDEP}]
+       media-libs/fontconfig:1.0[${MULTILIB_USEDEP}]
+       media-libs/freetype:2[${MULTILIB_USEDEP}]
+       net-print/cups[${MULTILIB_USEDEP}]
+       sys-apps/dbus[${MULTILIB_USEDEP}]
+       sys-devel/gcc[cxx]
+       sys-libs/glibc
+       virtual/ttf-fonts
+       x11-libs/cairo[${MULTILIB_USEDEP}]
+       x11-libs/gdk-pixbuf:2[${MULTILIB_USEDEP}]
+       x11-libs/gtk+:2[${MULTILIB_USEDEP}]
+       x11-libs/libX11[${MULTILIB_USEDEP}]
+       x11-libs/libXScrnSaver[${MULTILIB_USEDEP}]
+       x11-libs/libXcomposite[${MULTILIB_USEDEP}]
+       x11-libs/libXcursor[${MULTILIB_USEDEP}]
+       x11-libs/libXdamage[${MULTILIB_USEDEP}]
+       x11-libs/libXext[${MULTILIB_USEDEP}]
+       x11-libs/libXfixes[${MULTILIB_USEDEP}]
+       x11-libs/libXi[${MULTILIB_USEDEP}]
+       x11-libs/libXrandr[${MULTILIB_USEDEP}]
+       x11-libs/libXrender[${MULTILIB_USEDEP}]
+       x11-libs/libXtst[${MULTILIB_USEDEP}]
+       x11-libs/pango[${MULTILIB_USEDEP}]"
+
+src_unpack() {
+       rpm_src_unpack ${A}
+}
+
+src_prepare() {
+       default
+       sed -e 
"s!^SKYPE_PATH=.*!SKYPE_PATH=${EPREFIX}/opt/skypeforlinux/skypeforlinux!" \
+               -i usr/bin/skypeforlinux || die
+       sed -e "s!^Exec=.*!Exec=${EPREFIX}/opt/bin/skypeforlinux!" \
+               -e 
"s!^Categories=.*!Categories=Network;InstantMessaging;Telephony;!" \
+               -i usr/share/applications/skypeforlinux.desktop || die
+}
+
+src_install() {
+       insinto /opt/skypeforlinux/locales
+       doins usr/share/skypeforlinux/locales/*.pak
+
+       insinto 
/opt/skypeforlinux/resources/app.asar.unpacked/node_modules/keytar/build/Release
+       doins 
usr/share/skypeforlinux/resources/app.asar.unpacked/node_modules/keytar/build/Release/keytar.node
+
+       insinto /opt/skypeforlinux/resources
+       doins usr/share/skypeforlinux/resources/*.asar
+
+       insinto /opt/skypeforlinux
+       doins usr/share/skypeforlinux/*.pak
+       doins usr/share/skypeforlinux/*.bin
+       doins usr/share/skypeforlinux/*.dat
+       doins usr/share/skypeforlinux/version
+       exeinto /opt/skypeforlinux
+       doexe usr/share/skypeforlinux/*.so
+       doexe usr/share/skypeforlinux/skypeforlinux
+
+       into /opt
+       dobin usr/bin/skypeforlinux
+
+       dodoc -r usr/share/doc/skypeforlinux/.
+
+       doicon usr/share/pixmaps/skypeforlinux.png
+
+       local res
+       for res in 16 32 256 512; do
+               newicon -s ${res} 
usr/share/icons/hicolor/${res}x${res}/apps/skypeforlinux.png skypeforlinux.png
+       done
+
+       domenu usr/share/applications/skypeforlinux.desktop
+
+       if use pax_kernel; then
+               pax-mark -Cm "${ED%/}"/opt/skypeforlinux/skypeforlinux
+               eqawarn "You have set USE=pax_kernel meaning that you intend to 
run"
+               eqawarn "${PN} under a PaX enabled kernel. To do so, we must 
modify"
+               eqawarn "the ${PN} binary itself and this *may* lead to 
breakage! If"
+               eqawarn "you suspect that ${PN} is being broken by this 
modification,"
+               eqawarn "please open a bug."
+       fi
+}

Reply via email to